curl --request POST \
--url https://api.questra.ai/surveys/{survey_id_or_slug}/files \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--header 'X-Org-Id: <x-org-id>' \
--form file='@example-file'{
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"mime_type": "<string>",
"org_id": "<string>",
"survey_id": "<string>",
"ai_file_id": "<string>"
}Deprecated. Use POST /files with survey_id in the request body instead.
curl --request POST \
--url https://api.questra.ai/surveys/{survey_id_or_slug}/files \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--header 'X-Org-Id: <x-org-id>' \
--form file='@example-file'{
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"mime_type": "<string>",
"org_id": "<string>",
"survey_id": "<string>",
"ai_file_id": "<string>"
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Unique ID or slug of the survey to associate the file with
Contents of the file to upload
Unique ID of the uploaded file
Date and time the file was uploaded
Original name of the uploaded file
Mime type of the file
Unique ID of the organization that owns this file
Unique ID of the survey the file was uploaded with
Unique ID of an AI ready copy of the file that was generated and cached to expedite AI processing